- Home
- API Enriched
- Shape
- shape
- List Scripts.
List Scripts.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/csd/namespaces/example/scripts';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/csd/namespaces/example/scripts \ --header 'Authorization: <Authorization>'List all the scripts for the tenant depending on start time and end time.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace Namespace.
Query Parameters
Section titled “Query Parameters”X-required format: unix epoch timestamp in seconds fetch scripts whose timestamp >= start_time.
X-required format: unix epoch timestamp in seconds fetch scripts whose timestamp <= end_time.
The maximum number of scripts to return per page.
One-indexed page number (starts from 1), page_number and page_size are optional when page_token is specified.
Page_token is the value of listscriptsresponse.next_page_token from previous request.
Responses
Section titled “Responses”A successful response.
Response to list scripts.
object
Opaque value passed back alone with the additional calls. All filtering will stay the same.
One-indexed page number.
The maximum number of scripts to return per page.
List of scripts depending upon time filter.
Script information.
object
Number of affected users that loaded this script.
Format: unix epoch timestamp in milliseconds First seen time.
Number of form fields read by script.
ID of the script.
List of user-provided script justifications.
User-provided script justification.
object
Format: unix epoch timestamp in seconds Time that the justification was entered.
Script Justification.
ID of the justification.
ID of the justification creator.
Format: unix epoch timestamp in milliseconds Last seen time.
Locations where the script was found.
Number of network interactions.
Number of new behaviors of the script.
Risk level of the script.
Script detected in the webpage.
Script Status.
Total count of scripts available at time of query, and subject to change across queries.
Total number of pages available depending upon requested page_size.
Examplegenerated
{ "next_page_token": "example", "page_number": 1, "page_size": 1, "scripts": [ { "affected_users_count": 1, "first_seen": "example", "form_fields_read": 1, "id": "example", "justifications": [ { "create_time": "example", "justification": "example", "justification_id": "example", "user_id": "example" } ], "last_seen": "example", "locations": [ "example" ], "network_interactions": 1, "new_behaviors": 1, "risk_level": "example", "script_name": "example", "status": "example" } ], "total_count": 1, "total_pages": 1}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example